﻿@model TestJose.DataAccess.Project

@{
    ViewData["Title"] = "Edit Project";
}

<h4>Edit Project</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="ID" />
            <div class="form-group">
                <label asp-for="TypeProjectID" class="control-label"></label>
                <select asp-for="TypeProjectID" class="form-control" asp-items="ViewBag.TypeProjectID"></select>
                <span asp-validation-for="TypeProjectID" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ProjectSections" class="control-label"></label>
                <select multiple="multiple" class="multi-select form-control" asp-for="SectionIds" asp-items="(MultiSelectList)ViewBag.Sections"></select>
                <span asp-validation-for="ProjectSections" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ProjectSites" class="control-label"></label>
                <select multiple="multiple" class="multi-select form-control" asp-for="SiteIds" asp-items="(MultiSelectList)ViewBag.Sites"></select>
                <span asp-validation-for="ProjectSites" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Year" class="control-label"></label>
                <input asp-for="Year" class="form-control" />
                <span asp-validation-for="Year" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
